Redirections
All operations require authentication.
List redirectionsAlpha
Returns the IDs of the redirections of the domain. Filter them by from or to address.
Path parameters
Name of your domain name
Query parameters
Name of redirection
Email of redirection target
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ redirection \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a redirectionAlpha
Returns the ID, the source address (from) and the target address (to) of the redirection.
Path parameters
Name of your domain name
Id
Response
Name of redirection
Id of redirection
Target of redirection
Example uses domain = string, id = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "from": "string", "id": "string", "to": "string"}
Create a redirectionAlpha
Creates a redirection from the from address to the to address, and returns the task. Set localCopy to true to keep a local copy.
Path parameters
Name of your domain name
Request body (required)
Name of redirection
If true keep a local copy
Target of account
Response
Account name of task
Action of task
addchangedeleteCreation date of task
Domain name of task
Id of task
Type of action filter
25galiasdeletefilterforwardresponderExample uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ redirection \
-H "authorization: Bearer $OVH_TOKEN"{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}
Delete a redirectionAlpha
Deletes the redirection and returns the task.
Path parameters
Name of your domain name
Id
Response
Account name of task
Action of task
addchangedeleteCreation date of task
Domain name of task
Id of task
Type of action filter
25galiasdeletefilterforwardresponderExample uses domain = string, id = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}
Change a redirection targetAlpha
Sets the new target address (to) of the redirection and returns the task.
Path parameters
Name of your domain name
Id
Request body (required)
Target of account
Response
Account name of task
Action of task
addchangedeleteCreation date of task
Domain name of task
Id of task
Type of action filter
25galiasdeletefilterforwardresponderExample uses domain = string, id = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ redirection/ {id}/ changeRedirection \
-H "authorization: Bearer $OVH_TOKEN"{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}